Bug 441608 - Can not login my system when enable selinux
Can not login my system when enable selinux
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-08 20:17 EDT by Peng Huang
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-20 07:09:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
audit.log (192.53 KB, text/plain)
2008-04-10 00:15 EDT, Peng Huang
no flags Details

  None (edit)
Description Peng Huang 2008-04-08 20:17:30 EDT
Description of problem:
Can not login my systemm when enable selinux

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora 9,  and choice disable selinux
2. Login system, use system-config-selinux enable selinux 
3. reboot system
4. wait for relabel

Actual results:
1. Can not login with gdm and tty
2. If I use ssh to login system, I will got error: 
[phuang@phuang-notebook ~]$ ssh  phuang@phuang
phuang@phuang's password: 
Last login: Tue Apr  8 14:35:44 2008 from vpn-68-17.bne.redhat.com
/bin/bash: Permission denied
Connection to phuang closed.

Expected results:
Can login system

Additional info:
Comment 1 Peng Huang 2008-04-08 20:20:52 EDT
Additional info:
ls -lZ /bin/bash
-rwxr-xr-x  root root system_u:object_r:shell_exec_t:s0 bash
Comment 2 Daniel Walsh 2008-04-09 08:30:42 EDT
When you log in permissive mode what does

id -Z 


Please attach the /var/log/audit/audit.log file.

Comment 3 Peng Huang 2008-04-10 00:15:34 EDT
Created attachment 301923 [details]

Login desktop:

Login via ssh:
Comment 4 John Poelstra 2008-04-19 16:15:54 EDT
Dan, is this still a bug that needs to be fixed for F9?
Comment 5 Daniel Walsh 2008-04-20 07:09:58 EDT
I actually think this is fixed with latest policy.

Note You need to log in before you can comment on or make changes to this bug.